# new-devices-md2

*display*

[xml](../../displays/new-devices-md2.xml)

## reference objects

### chopper

**group**

[m.chopper](../globals/m/m.chopper.md)

#### parameters

| name       | description          | value                                              |
| ---------- | -------------------- | -------------------------------------------------- |
| #10        | name                 | #1                                                 |
| #11        | unit                 | #2                                                 |

## animated

### StringDisplay1

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L5)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | {dd\m\#1\desc}                                                                                                           |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay11

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L11)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | (dd\m\#1\sf = 0) and  (dd\m\#1\si = 0)                                                                                   |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if (dd\m\#1\sf = 0) and (dd\m\#1\si = 0) then "No Simulation" else if (dd\m\#1\sf = 0) and (dd\m\#1\si = 1) then "Auto Simulation" else "Forced Inputs" |

#### command

*[none]*

#### touch

*[none]*

### Text32

 *text*

[xml](../../displays/new-devices-md2.xml#L26)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | #2\mc\maintenance = 0                                                                                                    |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### StringDisplay6

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L78)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\op1 then "ON" else "OFF"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay7

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L175)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\pic then "ON" else "OFF"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay8

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L181)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\ic then "ON" else "OFF"                                                                                       |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay2

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L286)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\alo1}                                                                                                           |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\M\#1\alo1 then "YES" ELSE "NO"                                                                                     |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay3

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L297)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\alou1}                                                                                                          |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\M\#1\alou1 then "YES" ELSE "NO"                                                                                    |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay14

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L331)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\op2 then "ON" else "OFF"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay10

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L403)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\io1 then "ON" else "OFF"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay9

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L421)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\pio1 then "ON" else "OFF"                                                                                     |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay15

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L461)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\io2 then "ON" else "OFF"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay16

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L479)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\pio2 then "ON" else "OFF"                                                                                     |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay23

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L517)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\alo1}                                                                                                           |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\M\#1\alo2 then "YES" ELSE "NO"                                                                                     |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay24

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L528)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\alou2}                                                                                                          |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\M\#1\alou2 then "YES" ELSE "NO"                                                                                    |

#### command

*[none]*

#### touch

*[none]*

### Group227

 *group*

[xml](../../displays/new-devices-md2.xml#L539)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | {#2\mc\maintenance}                                                                                                      |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Group37

 *group*

[xml](../../displays/new-devices-md2.xml#L540)

#### animations

*[none]*

#### connections

*[none]*

#### command

*[none]*

#### touch

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\a 1",  dd\m\#1\desc, "auto mode" , "security\operate"

### Group34

 *group*

[xml](../../displays/new-devices-md2.xml#L549)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\a}                                                                                                              |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Text33

 *text*

[xml](../../displays/new-devices-md2.xml#L559)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\a}                                                                                                              |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Group56

 *group*

[xml](../../displays/new-devices-md2.xml#L576)

#### animations

*[none]*

#### connections

*[none]*

#### command

*[none]*

#### touch

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\a 0",  dd\m\#1\desc, "manual mode" , "security\operate"

### Group52

 *group*

[xml](../../displays/new-devices-md2.xml#L585)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\a}                                                                                                              |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Text50

 *text*

[xml](../../displays/new-devices-md2.xml#L595)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\a}                                                                                                              |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Group205

 *group*

[xml](../../displays/new-devices-md2.xml#L612)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | dd\m\#1\a  = 0                                                                                                           |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Group64

 *group*

[xml](../../displays/new-devices-md2.xml#L613)

#### animations

*[none]*

#### connections

*[none]*

#### command

*[none]*

#### touch

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\mc1 1 ;  set #1\mc2 0",  dd\m\#1\desc, "manual slow" , "security\operate"

### Arc2

 *arc*

[xml](../../displays/new-devices-md2.xml#L615)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | dd\M\#1\mc1 = 1                                                                                                          |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Group65

 *group*

[xml](../../displays/new-devices-md2.xml#L633)

#### animations

*[none]*

#### connections

*[none]*

#### command

*[none]*

#### touch

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\mc1 0 ;  set #1\mc2 0",  dd\m\#1\desc, "manual off" , "security\operate"

### Arc4

 *arc*

[xml](../../displays/new-devices-md2.xml#L635)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | (dd\M\#1\mc1 = 0) and  (dd\M\#1\mc2 = 0)                                                                                 |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Group99

 *group*

[xml](../../displays/new-devices-md2.xml#L654)

#### animations

*[none]*

#### connections

*[none]*

#### command

*[none]*

#### touch

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\mc1 0 ;  set #1\mc2 1",  dd\m\#1\desc, "manual fast" , "security\operate"

### Arc6

 *arc*

[xml](../../displays/new-devices-md2.xml#L656)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | dd\M\#1\mc2 = 1                                                                                                          |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Button5

 *button*

[xml](../../displays/new-devices-md2.xml#L682)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | {DD\m\#1\alou1}                                                                                                          |

#### connections

*[none]*

#### command

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\aloa1 1",  dd\m\#1\desc, "acknowledge won't run slow" , "security\operate"

#### touch

*[none]*

### Button3

 *button*

[xml](../../displays/new-devices-md2.xml#L710)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | {DD\m\#1\alou2}                                                                                                          |

#### connections

*[none]*

#### command

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\aloa2 1",  dd\m\#1\desc, "acknowledge won't run fast" , "security\operate"

#### touch

*[none]*

### StringDisplay4

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L771)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\alc}                                                                                                            |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\M\#1\alc then "YES" ELSE "NO"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay5

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L782)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\alcu}                                                                                                           |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\m\#1\alcu then "YES" ELSE "NO"                                                                                     |

#### command

*[none]*

#### touch

*[none]*

### Button6

 *button*

[xml](../../displays/new-devices-md2.xml#L793)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | {DD\m\#1\alcu}                                                                                                           |

#### connections

*[none]*

#### command

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\alca 1",  dd\m\#1\desc, "acknowledge hand mode" , "security\operate"

#### touch

*[none]*

### StringDisplay13

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L854)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\alh}                                                                                                            |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\M\#1\alh then "YES" ELSE "NO"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay17

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L865)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\alhu}                                                                                                           |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\m\#1\alhu then "YES" ELSE "NO"                                                                                     |

#### command

*[none]*

#### touch

*[none]*

### Button7

 *button*

[xml](../../displays/new-devices-md2.xml#L876)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | {DD\m\#1\alhu}                                                                                                           |

#### connections

*[none]*

#### command

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T "  set #1\alha 1",  dd\m\#1\desc, "acknowledge healthy" , "security\operate"

#### touch

*[none]*

### StringDisplay18

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L954)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\pih then "ON" else "OFF"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay19

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L960)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\ih then "ON" else "OFF"                                                                                       |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay12

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L1014)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\pis then "ON" else "OFF"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay21

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L1020)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\is then "ON" else "OFF"                                                                                       |

#### command

*[none]*

#### touch

*[none]*

### Button1

 *button*

[xml](../../displays/new-devices-md2.xml#L1027)

#### animations

*[none]*

#### connections

*[none]*

#### command

* **release**
  * abort set dd\config_enable 0

#### touch

*[none]*

### Button4

 *button*

[xml](../../displays/new-devices-md2.xml#L1053)

#### animations

*[none]*

#### connections

*[none]*

#### command

* **release**
  * display [new-devices-md2cfg](./new-devices-md2cfg.md) /T#1,#2 

#### touch

*[none]*

### StringDisplay22

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L1112)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\ALS}                                                                                                            |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\M\#1\ALS then "YES" ELSE "NO"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay25

 *stringDisplay*

[xml](../../displays/new-devices-md2.xml#L1123)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\ALSu}                                                                                                           |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\m\#1\ALSu then "YES" ELSE "NO"                                                                                     |

#### command

*[none]*

#### touch

*[none]*

### Button8

 *button*

[xml](../../displays/new-devices-md2.xml#L1134)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | {DD\m\#1\ALSu}                                                                                                           |

#### connections

*[none]*

#### command

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\ALSa 1",  dd\m\#1\desc, "acknowledge at speed" , "security\operate"

#### touch

*[none]*

## display-references

*[none]*

## reference-object-references

### [legacy-mimics-mx520_mimic.chopper](legacy-mimics-mx520_mimic.md#chopper)

#### parameters

| name       | description          | value                                              |
| ---------- | -------------------- | -------------------------------------------------- |
| #10        | name                 | AG520C                                             |
| #11        | unit                 | MX520                                              |

### [new-devices-md2.chopper](new-devices-md2.md#chopper)

#### parameters

| name       | description          | value                                              |
| ---------- | -------------------- | -------------------------------------------------- |
| #10        | name                 | #1                                                 |
| #11        | unit                 | #2                                                 |

### [new-mimics-mx520_mimic.Group23](new-mimics-mx520_mimic.md#group23)

#### parameters

| name       | description          | value                                              |
| ---------- | -------------------- | -------------------------------------------------- |
| #10        | name                 | AG520C                                             |
| #11        | unit                 | MX520                                              |

## global-references

* [m.chopper](../globals/m/m.chopper.md)
* [gray_m.Group23](../globals/gray_m/gray_m.Group23.md)
