# new-devices-md3

*display*

[xml](../../displays/new-devices-md3.xml)

## reference objects

### beater

**group**

[m.beater](../globals/m/m.beater.md)

#### parameters

| name       | description          | value                                              |
| ---------- | -------------------- | -------------------------------------------------- |
| #10        | name                 | #1                                                 |
| #11        | unit                 | #2                                                 |

## animated

### StringDisplay1

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L7)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | {dd\m\#1\desc}                                                                                                           |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay11

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L14)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | (dd\m\#1\sf = 0) and  (dd\m\#1\si = 0)                                                                                   |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if (dd\m\#1\sf = 0) and (dd\m\#1\si = 0) then "No Simulation" else if (dd\m\#1\sf = 0) and (dd\m\#1\si = 1) then "Auto Simulation" else "Forced Inputs" |

#### command

*[none]*

#### touch

*[none]*

### Text32

 *text*

[xml](../../displays/new-devices-md3.xml#L27)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | #2\mc\maintenance = 0                                                                                                    |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### StringDisplay6

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L79)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\op1 then "ON" else "OFF"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay2

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L229)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\alo1}                                                                                                           |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\M\#1\alo1 then "YES" ELSE "NO"                                                                                     |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay3

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L240)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\alou1}                                                                                                          |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\M\#1\alou1 then "YES" ELSE "NO"                                                                                    |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay14

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L275)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\op2 then "ON" else "OFF"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### Group228

 *group*

[xml](../../displays/new-devices-md3.xml#L311)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | {#2\mc\maintenance}                                                                                                      |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Group58

 *group*

[xml](../../displays/new-devices-md3.xml#L312)

#### animations

*[none]*

#### connections

*[none]*

#### command

*[none]*

#### touch

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T "  set #1\a 1  ",  dd\m\#1\desc, "auto mode" , "security\operate"

### Group60

 *group*

[xml](../../displays/new-devices-md3.xml#L328)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\a}                                                                                                              |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Text35

 *text*

[xml](../../displays/new-devices-md3.xml#L338)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\a}                                                                                                              |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Group62

 *group*

[xml](../../displays/new-devices-md3.xml#L346)

#### animations

*[none]*

#### connections

*[none]*

#### command

*[none]*

#### touch

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T "  set #1\a 0  ",  dd\m\#1\desc, "manual mode" , "security\operate"

### Group66

 *group*

[xml](../../displays/new-devices-md3.xml#L362)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\a}                                                                                                              |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Text36

 *text*

[xml](../../displays/new-devices-md3.xml#L372)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\a}                                                                                                              |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Group109

 *group*

[xml](../../displays/new-devices-md3.xml#L380)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | dd\m\#1\a  = 0                                                                                                           |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Group86

 *group*

[xml](../../displays/new-devices-md3.xml#L381)

#### animations

*[none]*

#### connections

*[none]*

#### command

*[none]*

#### touch

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\MC1 1 ; set #1\MC2 0 ; set #1\MC3 0 ;  set #1\MC4 0  ",  dd\m\#1\desc, "manual slow" , "security\operate"

### Arc2

 *arc*

[xml](../../displays/new-devices-md3.xml#L383)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | dd\M\#1\mc1 = 1                                                                                                          |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Group87

 *group*

[xml](../../displays/new-devices-md3.xml#L401)

#### animations

*[none]*

#### connections

*[none]*

#### command

*[none]*

#### touch

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\MC1 0 ; set #1\MC2 0 ; set #1\MC3 0 ;  set #1\MC4 0  ",  dd\m\#1\desc, "manual off" , "security\operate"

### Arc4

 *arc*

[xml](../../displays/new-devices-md3.xml#L403)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | ( dd\M\#1\mc1 = 0) and ( dd\M\#1\mc2 = 0) and ( dd\M\#1\mc3 = 0) and ( dd\M\#1\mc4 = 0)                                  |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Group95

 *group*

[xml](../../displays/new-devices-md3.xml#L421)

#### animations

*[none]*

#### connections

*[none]*

#### command

*[none]*

#### touch

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\MC1 0 ; set #1\MC2 0 ; set #1\MC3 1 ;  set #1\MC4 0  ",  dd\m\#1\desc, "manual mediaum" , "security\operate"

### Arc6

 *arc*

[xml](../../displays/new-devices-md3.xml#L423)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | dd\M\#1\mc3 = 1                                                                                                          |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Group108

 *group*

[xml](../../displays/new-devices-md3.xml#L441)

#### animations

*[none]*

#### connections

*[none]*

#### command

*[none]*

#### touch

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\MC1 0 ; set #1\MC2 1 ; set #1\MC3 0 ;  set #1\MC4 0  ",  dd\m\#1\desc, "manual intermediat" , "security\operate"

### Arc8

 *arc*

[xml](../../displays/new-devices-md3.xml#L443)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | dd\M\#1\mc2 = 1                                                                                                          |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### Group11

 *group*

[xml](../../displays/new-devices-md3.xml#L461)

#### animations

*[none]*

#### connections

*[none]*

#### command

*[none]*

#### touch

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\MC1 0 ; set #1\MC2 0 ; set #1\MC3 0 ;  set #1\MC4 1  ",  dd\m\#1\desc, "manual fast" , "security\operate"

### Arc10

 *arc*

[xml](../../displays/new-devices-md3.xml#L463)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | dd\M\#1\mc4 = 1                                                                                                          |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### StringDisplay12

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L521)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\alo1}                                                                                                           |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\M\#1\alo2 then "YES" ELSE "NO"                                                                                     |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay13

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L532)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\alou2}                                                                                                          |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\M\#1\alou2 then "YES" ELSE "NO"                                                                                    |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay17

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L566)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\op3 then "ON" else "OFF"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay7

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L651)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\pic then "ON" else "OFF"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay8

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L657)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\ic then "ON" else "OFF"                                                                                       |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay10

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L699)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\io1 then "ON" else "OFF"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay9

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L717)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\pio1 then "ON" else "OFF"                                                                                     |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay15

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L757)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\io2 then "ON" else "OFF"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay16

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L775)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\pio2 then "ON" else "OFF"                                                                                     |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay18

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L815)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\io3 then "ON" else "OFF"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay19

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L833)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\pio3 then "ON" else "OFF"                                                                                     |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay26

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L887)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\pIH then "ON" else "OFF"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay27

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L893)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\IH then "ON" else "OFF"                                                                                       |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay28

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L947)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\pIS then "ON" else "OFF"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay29

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L953)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\IS then "ON" else "OFF"                                                                                       |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay23

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L993)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\alo1}                                                                                                           |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\M\#1\alo3 then "YES" ELSE "NO"                                                                                     |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay24

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L1004)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\alou3}                                                                                                          |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\M\#1\alou3 then "YES" ELSE "NO"                                                                                    |

#### command

*[none]*

#### touch

*[none]*

### Button4

 *button*

[xml](../../displays/new-devices-md3.xml#L1015)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | {DD\m\#1\alou3}                                                                                                          |

#### connections

*[none]*

#### command

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\aloa3 1  ",  dd\m\#1\desc, "acknowledge won't run intermediate" , "security\operate"

#### touch

*[none]*

### Button3

 *button*

[xml](../../displays/new-devices-md3.xml#L1044)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | {DD\m\#1\alou2}                                                                                                          |

#### connections

*[none]*

#### command

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\aloa2 1  ",  dd\m\#1\desc, "acknowledge won't run intermediate" , "security\operate"

#### touch

*[none]*

### Button5

 *button*

[xml](../../displays/new-devices-md3.xml#L1072)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | {DD\m\#1\alou1}                                                                                                          |

#### connections

*[none]*

#### command

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\aloa1 1  ",  dd\m\#1\desc, "acknowledge won't run slow" , "security\operate"

#### touch

*[none]*

### StringDisplay25

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L1124)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\OP4 then "ON" else "OFF"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay30

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L1209)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\pIO4 then "ON" else "OFF"                                                                                     |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay31

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L1215)

#### animations

*[none]*

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | if dd\M\#1\IO4 then "ON" else "OFF"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay32

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L1254)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\alo1}                                                                                                           |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\M\#1\alo4 then "YES" ELSE "NO"                                                                                     |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay33

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L1265)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\alou4}                                                                                                          |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\M\#1\alou4 then "YES" ELSE "NO"                                                                                    |

#### command

*[none]*

#### touch

*[none]*

### Button8

 *button*

[xml](../../displays/new-devices-md3.xml#L1276)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | {DD\m\#1\alou4}                                                                                                          |

#### connections

*[none]*

#### command

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\aloa4 1  ",  dd\m\#1\desc, "acknowledge won't run fast" , "security\operate"

#### touch

*[none]*

### StringDisplay4

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L1340)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\alc}                                                                                                            |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\M\#1\alc then "YES" ELSE "NO"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay5

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L1351)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\alcu}                                                                                                           |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\m\#1\alcu then "YES" ELSE "NO"                                                                                     |

#### command

*[none]*

#### touch

*[none]*

### Button6

 *button*

[xml](../../displays/new-devices-md3.xml#L1362)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | {DD\m\#1\alcu}                                                                                                           |

#### connections

*[none]*

#### command

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\alca 1  ",  dd\m\#1\desc, "acknowledge hand mode" , "security\operate"

#### touch

*[none]*

### StringDisplay34

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L1424)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\ALH}                                                                                                            |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\M\#1\ALH then "YES" ELSE "NO"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay35

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L1435)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\ALHu}                                                                                                           |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\m\#1\ALHu then "YES" ELSE "NO"                                                                                     |

#### command

*[none]*

#### touch

*[none]*

### Button9

 *button*

[xml](../../displays/new-devices-md3.xml#L1446)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | {DD\m\#1\ALHu}                                                                                                           |

#### connections

*[none]*

#### command

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\alha 1  ",  dd\m\#1\desc, "acknowledge health" , "security\operate"

#### touch

*[none]*

### StringDisplay36

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L1508)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\ALS}                                                                                                            |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\M\#1\ALS then "YES" ELSE "NO"                                                                                      |

#### command

*[none]*

#### touch

*[none]*

### StringDisplay37

 *stringDisplay*

[xml](../../displays/new-devices-md3.xml#L1519)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateColor         | {dd\m\#1\ALSu}                                                                                                           |

#### connections

| name            | expression                                                                                                               |
| --------------- | ------------------------------------------------------------------------------------------------------------------------ |
| Value           | If dd\m\#1\ALSu then "YES" ELSE "NO"                                                                                     |

#### command

*[none]*

#### touch

*[none]*

### Button10

 *button*

[xml](../../displays/new-devices-md3.xml#L1530)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | {DD\m\#1\ALSu}                                                                                                           |

#### connections

*[none]*

#### command

* **release**
  * display [new-tag_edits-tag_command](./new-tag_edits-tag_command.md)   /T " set #1\alsa 1  ",  dd\m\#1\desc, "acknowledge at speed" , "security\operate"

#### touch

*[none]*

### Button1

 *button*

[xml](../../displays/new-devices-md3.xml#L1596)

#### animations

*[none]*

#### connections

*[none]*

#### command

* **release**
  * abort set dd\config_enable 0

#### touch

*[none]*

### Button7

 *button*

[xml](../../displays/new-devices-md3.xml#L1622)

#### animations

*[none]*

#### connections

*[none]*

#### command

* **release**
  * display [MD3cfg](./md3cfg.md) /T#1,#2 

#### touch

*[none]*

## display-references

*[none]*

## reference-object-references

### [legacy-mimics-mx520_mimic.beater](legacy-mimics-mx520_mimic.md#beater)

#### parameters

| name       | description          | value                                              |
| ---------- | -------------------- | -------------------------------------------------- |
| #10        | name                 | AG520                                              |
| #11        | unit                 | MX520                                              |

### [new-devices-md3.beater](new-devices-md3.md#beater)

#### parameters

| name       | description          | value                                              |
| ---------- | -------------------- | -------------------------------------------------- |
| #10        | name                 | #1                                                 |
| #11        | unit                 | #2                                                 |

### [new-mimics-mx520_mimic.motor_3_speed](new-mimics-mx520_mimic.md#motor_3_speed)

#### parameters

| name       | description          | value                                              |
| ---------- | -------------------- | -------------------------------------------------- |
| #10        | name                 | ag520                                              |
| #11        | unit                 | mx520                                              |

## global-references

* [m.beater](../globals/m/m.beater.md)
* [gray_m.motor_3_speed](../globals/gray_m/gray_m.motor_3_speed.md)
