# azodd_s.interlock_off

*object*

[xml](../../../global%20objects/azodd_s.xml#L4)

## parameters

| name       | description          |
| ---------- | -------------------- |
| #10        | name                 |
| #11        | unit                 |
| #13        | title                |
| #15        | off label            |
| #16        | on lable             |
| #14        | ok value             |

## references

### [legacy-mimics-dr540_mimic.XS540198](../../displays/legacy-mimics-dr540_mimic.md#xs540198)

#### parameters

| name       | description          | value                                              |
| ---------- | -------------------- | -------------------------------------------------- |
| #10        | name                 | XS540198                                           |
| #11        | unit                 | DR540                                              |
| #13        | title                | Safety switch                                      |
| #15        | off label            | NOK                                                |
| #16        | on lable             | OK                                                 |
| #14        | ok value             | 1                                                  |

## animated

### azodd_s.interlock_off.alarm7 - alarm7 - text

[xml](../../../global%20objects/azodd_s.xml#L6)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | {(azodd\s\#10\i_alm )}                                                                                                   |
| animateColor         | (azodd\s\#10\i_cse * 2 ) + azodd\s\#10\i_alm                                                                             |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### azodd_s.interlock_off.labels7 - labels7 - group

[xml](../../../global%20objects/azodd_s.xml#L17)

#### animations

*[none]*

#### connections

*[none]*

#### command

*[none]*

#### touch

* **release**
  * abort_azodd display new-devices-AZOdd_ss /TAZODD\s\#10

### azodd_s.interlock_off.falseDisplay7 - falseDisplay7 - text

[xml](../../../global%20objects/azodd_s.xml#L18)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | {azodd\s\#10\i}                                                                                                          |
| animateColor         | ({azodd\s\#10\i} = #14)                                                                                                  |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*

### azodd_s.interlock_off.trueDisplay7 - trueDisplay7 - text

[xml](../../../global%20objects/azodd_s.xml#L27)

#### animations

| type                 | expression                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| animateVisibility    | {azodd\s\#10\i}                                                                                                          |
| animateColor         | ({azodd\s\#10\i} = #14)                                                                                                  |

#### connections

*[none]*

#### command

*[none]*

#### touch

*[none]*
